Get a service provider
GET
/api/app/directory/service-providers/{providerRef}
const url = 'https://test.unipay.co.zw/api/app/directory/service-providers/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://test.unipay.co.zw/api/app/directory/service-providers/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”providerRef
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
id
string format: uuid
name
string
number
string
shortCode
string
address1
string
address2
string
country
string
town
string
phoneNumber
string
email
string
tin
string
companyNumber
string
capabilities
Array<object>
object
paymentType
integer format: int32
currency
string
defaultCurrency
string
presentationCurrencies
Array<string>
acceptedCurrencies
Array<string>
acceptedCurrenciesDeclared
boolean
currencyPolicy
integer format: int32
allocationRateToleranceDays
integer format: int32
settlementAccounts
Array<object>
object
accountId
string format: uuid
currency
required
string
status
integer format: int32
bankName
required
string
branchName
string
branchCode
string
swiftBic
string
accountName
required
string
accountNumberMasked
required
string
accountType
integer format: int32
effectiveFrom
string format: date-time
effectiveTo
string format: date-time
sunsetUntil
string format: date-time
supersedesAccountId
string format: uuid
supersededByAccountId
string format: uuid
Example
{ "capabilities": [ { "paymentType": 1 } ], "currencyPolicy": 1, "settlementAccounts": [ { "status": 1, "accountType": 1 } ]}UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions